package com.ruoyi.system.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.system.domain.*;
import com.ruoyi.system.dto.SiteRealTimeDTO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


public interface ReportDataService {

    List<CarPosition> carLocation(Long siteId, String startTime, String endTime);

    List<HeartBeat> carInfo(Long siteId,String startTime, String endTime);

    SiteRealTimeDTO siteRealTime(Long siteId);

    Page<TaskNotice> taskNotice(Long siteId, String taskId,Long page, Long size);

    WaterLevel getWaterLevel(Long siteId);

    List<MeasureUpload> getMeasureLine (Long siteId,String taskId);

    BerthingPointConfig getPointConfig (Long siteId);

    BerthingPointConfig getPointConfig (Long siteId, Long planid);

    TaskResult getLatestTask (Long siteId);

}
